<?xml version="1.0" encoding="utf-8"?>
<dataRetryStrategyList version="1.0">
  <retryStrategy id="1" type="normal">
    <causeList>8,31,44,45,70,82,83,84,4111</causeList>
    <retryPolicy interval="10000" intervalInd="0" times="1" action="3" backOffTime="720"/>
  </retryStrategy>
  <retryStrategy id="2" type="normal">
    <causeList>26,35,38,54,67,69,95,96,97,98,99,100,101,111</causeList>
    <retryPolicy interval="5000" intervalInd="0" times="2" action="1" backOffTime="0"/>
    <retryPolicy interval="5000" intervalInd="0" times="1" action="3" backOffTime="720"/>
  </retryStrategy>
  <retryStrategy id="3" type="normal">
    <causeList>2105,2227</causeList>
    <retryPolicy interval="1000" intervalInd="0" times="5" action="1" backOffTime="0"/>
    <retryPolicy interval="1000" intervalInd="0" times="1" action="0" backOffTime="0"/>
  </retryStrategy>
  <retryStrategy id="4" type="normal">
    <causeList>2190</causeList>
    <retryPolicy interval="2000" intervalInd="0" times="2" action="1" backOffTime="0"/>
    <retryPolicy interval="1000" intervalInd="0" times="1" action="0" backOffTime="0"/>
  </retryStrategy>
  <retryStrategy id="5" type="normal">
    <causeList>4110,2054</causeList>
    <retryPolicy interval="1000" intervalInd="0" times="3" action="1" backOffTime="0"/>
    <retryPolicy interval="5000" intervalInd="0" times="1" action="5" backOffTime="0"/>
    <retryPolicy interval="5000" intervalInd="0" times="1" action="5" backOffTime="0"/>
    <retryPolicy interval="5000" intervalInd="0" times="1" action="5" backOffTime="0"/>
    <retryPolicy interval="10000" intervalInd="0" times="1" action="5" backOffTime="0"/>
    <retryPolicy interval="20000" intervalInd="0" times="1" action="5" backOffTime="0"/>
    <retryPolicy interval="30000" intervalInd="0" times="1" action="5" backOffTime="0"/>
    <retryPolicy interval="1000" intervalInd="0" times="1" action="0" backOffTime="0"/>
  </retryStrategy>
  <retryStrategy id="6" type="normal">
    <causeList>65535</causeList>
    <retryPolicy interval="5000" intervalInd="0" times="3" action="1" backOffTime="0"/>
    <retryPolicy interval="5000" intervalInd="0" times="1" action="6" backOffTime="0"/>
  </retryStrategy>
  <retryStrategy id="7" type="normal">
    <causeList>65538,30</causeList>
    <retryPolicy interval="5000" intervalInd="0" times="1" action="6" backOffTime="0"/>
  </retryStrategy>
  <retryStrategy id="8" type="normal">
    <causeList>27,28,29,32,33,65</causeList>
    <retryPolicy interval="5000" intervalInd="0" times="1" action="3" backOffTime="720"/>
    <retryPolicy interval="5000" intervalInd="0" times="1" action="6" backOffTime="0"/>
  </retryStrategy>
  <retryStrategy id="9" type="normal">
    <causeList>65540</causeList>
    <retryPolicy interval="300" intervalInd="0" times="3" action="1" backOffTime="0"/>
  </retryStrategy>
  <mutilLevelDataRetryConfig>
    <setupDataFailThreshold failCountThreshold="5" failTimeLowThreshold="50" failTimeHighThreshold="120"/>
    <skipRetryActionList>0,0,0,1</skipRetryActionList>
  </mutilLevelDataRetryConfig>
</dataRetryStrategyList>